Luxor PlatformAPI DocumentationCommanderTickets

Link ticket devices

Links miners to the ticket. Miners with no inventory record at the ticket's site are skipped and counted in skipped_devices. The ticket must not be closed.

POST
/v2/commander/tickets/{ticket_id}/devices

Authorization

LuxorAPIKey
authorization<token>

Use your API key here.

In: header

Path Parameters

ticket_id*string

Ticket id (uuid).

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v2/commander/tickets/497f6eca-6276-4993-bfeb-53cbbbba6f08/devices" \  -H "Content-Type: application/json" \  -d '{    "miner_ids": [      "string"    ]  }'
{  "device_count": 3,  "skipped_devices": 0}
{  "statusCode": 400,  "code": "FST_ERR_VALIDATION",  "error": "Bad Request",  "message": "body/end_date Required"}
{  "statusCode": 403,  "code": "7",  "error": "Forbidden",  "message": "[permission_denied] site_id does not belong to this workspace"}
{  "statusCode": 404,  "code": "5",  "error": "Not Found",  "message": "[not_found] agent not found"}